package org.example.mybatisplus.mapper;
import java.util.List;
import org.apache.ibatis.annotations.Param;

import org.example.mybatisplus.concrete.Product;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
* @author Lenovo
* @description 针对表【t_product】的数据库操作Mapper
* @createDate 2024-11-22 13:36:43
* @Entity org.example.mybatisplus.concrete.Product
*/
public interface ProductMapper extends BaseMapper<Product> {

    int insertSelective(Product product);

    int deleteByIdAndName(@Param("id") Integer id, @Param("name") String name);

    int updateName(@Param("name") String name);

    List<Product> selectAllByName(@Param("name") String name);

}
